summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBen de Groot <yngwin@gentoo.org>2015-04-16 11:44:18 (GMT)
committerBen de Groot <yngwin@gentoo.org>2015-04-16 11:44:18 (GMT)
commit4aea7d90e0252307fc65b5017f6d63295a6bb33c (patch)
tree3f1d65ff8a1b3e8067e01e64257e00547f68ba59
parentImprove news item "Apache AddHandler/AddType vulnerability protection" (diff)
downloadgentoo-news-HEAD.zip
gentoo-news-HEAD.tar.gz
gentoo-news-HEAD.tar.bz2
Add news item FFmpeg defaultHEADmaster
-rw-r--r--2015/2015-02-01-use-libav/2015-02-01-use-libav.en.txt13
-rw-r--r--2015/2015-02-01-use-libav/2015-02-01-use-libav.en.txt.asc32
-rw-r--r--2015/2015-04-16-ffmpeg-default/2015-04-16-ffmpeg-default.en.txt25
-rw-r--r--2015/2015-04-16-ffmpeg-default/2015-04-16-ffmpeg-default.en.txt.asc19
4 files changed, 65 insertions, 24 deletions
diff --git a/2015/2015-02-01-use-libav/2015-02-01-use-libav.en.txt b/2015/2015-02-01-use-libav/2015-02-01-use-libav.en.txt
index 32fa603..47d54f4 100644
--- a/2015/2015-02-01-use-libav/2015-02-01-use-libav.en.txt
+++ b/2015/2015-02-01-use-libav/2015-02-01-use-libav.en.txt
@@ -2,7 +2,7 @@ Title: ffmpeg/libav conflict management: USE=libav
Author: Michał Górny <mgorny@gentoo.org>
Content-Type: text/plain
Posted: 2015-02-01
-Revision: 1
+Revision: 2
News-Item-Format: 1.0
Display-If-Installed: media-video/ffmpeg
Display-If-Installed: media-video/libav
@@ -20,17 +20,14 @@ support for ffmpeg or a compatible implementation (libav) in a package.
However, whenever appropriate additional USE=libav will be introduced to
control the preference of one implementation over the other.
-Users who currently use libav (the Gentoo default) do not have to
-perform any action since USE=libav is enabled by default. It should be
-noted that the users still need to enable USE=ffmpeg on packages with
-optional libav support as well. Users who want to use ffmpeg instead
-need to specify USE=-libav in make.conf explicitly.
+Users who currently use libav need to enable USE=libav in
+/etc/portage/make.conf. It should be noted that users still need to
+enable USE=ffmpeg on packages with optional libav support as well.
+Users who currently use ffmpeg need to take no action.
Please also note that some packages support only one of the two
implementations. An attempt to install one of those packages may result
in blockers requiring the user changes the global USE=libav state.
-The most notable example of such package is media-video/mplayer.
-media-video/mpv may be used as a replacement for users who prefer libav.
Please do not alter the state of 'libav' flag on a per-package basis
(e.g. via package.use). The flag needs to be set globally to have
diff --git a/2015/2015-02-01-use-libav/2015-02-01-use-libav.en.txt.asc b/2015/2015-02-01-use-libav/2015-02-01-use-libav.en.txt.asc
index aba6d3c..4c707dd 100644
--- a/2015/2015-02-01-use-libav/2015-02-01-use-libav.en.txt.asc
+++ b/2015/2015-02-01-use-libav/2015-02-01-use-libav.en.txt.asc
@@ -1,19 +1,19 @@
-----BEGIN PGP SIGNATURE-----
-Version: GnuPG v2
+Version: GnuPG v2.0
-iQJ8BAABCgBmBQJUzoW+XxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
-ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQ2REJCMDdDQzRGMERBRDA2RUEwQUZFNDFC
-MDdBMUFFQUVGQjQ0NjRFAAoJELB6GurvtEZOgngP/1/amGltpEmEQka3ak7CK30m
-39B2gMaKxa0UEp8Zyiw1Q+QrrtiC0Lu3YVFQBybNBWVASP9DsfuZJbgf0Dnd+oxz
-Vcmv7BrDjLQVjeBlqHN2YzjX5yW+GXUm1+nCvq98oGlFZcQRCSkvkmSSV5At5kJE
-AkRm2kT0VMaQ3WT2vxdMa5BppmZv7bZoh+s0IgAfE2jvOZNG5yFmoRWhVelI6B0J
-eKa5PNPr3aSnyxMQ8YMh6sjLbCeYC3NJkD+P6uWWIKYIpS2QavAZlAjv/7WcmH8U
-IKpMA4bcPPnjaS/GJs6PbcG55oF7ltJYwE67IxVj93zEYtpA6yh91cop1iyOvtj4
-529bAQyh439MSCBsY95Zmy/NQv+I73g47KfcGfsUlxR6YJD2jIEppV1lSgqZyv0T
-wTXS4ijRTlHKitIPeIsSt5dWKHT1zMi/RR6thR/skRF/JQ5ZJ36MollqU5eud4vP
-2oH8AUUVTmhasD5oYWN+6OC6pEpyW19DlgFFonrrXTrEyLHnlt2eL7f4YKHuOV7L
-XRvqWlZ6hpM7XO6yaFEp0KseEz8DkYX05qzfZE+f2e0G8cLt9O3hTXf3V+vKI52B
-OBQQMA+CQLIBC6ed/qfFmHDByh5G8NsafdmXRwEf1/ZtG3+KKdR+nRcdppn4/VK7
-CKNynotp4jErUq43JD9X
-=dgGE
+iQJ7BAABCgBmBQJVL6ACXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
+ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQ5MTlDREQ0NUU5Mjc4RkU2RjJDNTAyNzU0
+RkRGOUNGRDJGQUM1MTRFAAoJEE/fnP0vrFFO/OEP+OVRQZ9qhhCQZk2aMPHyVjWq
+WOosaFV/CzBNSevLsr1cSdYOVBPD8jfbEpnX77cAU515GhFYBj5t6/3ALvHrR+yv
+TELpGoJqCrfzX7QjI+uNWTkWGd3LztcZF1qrfyKsaYV2rhtZP8DQEca73HVSpe/Z
+HpDVG6x/PQX3ynLcRH3ojaEATA2By8pf/rrDZZumRVce0+Af87U0FvEvOU8iVQCS
+c4eI9XkOMSN0ZrGyfE1Rdqqr3VzGgCKltdOXoQQxhzsC9CPFsCHcXSnFjpM318h9
+FRyDauyuGR0tDQvLJZzkcQTP4V+hayA/IgBxlDKQwAf98u9MOc83CzglIUnYiI7A
+26Ez8Vnl+zTaMwKSTzoq/Zc9rLU44by3ew0u9vhhLeDs80Xqmrk4KRi+761fJwWi
+mj5QG94Z8lCEUzddAjHt4D2AOjoxMGhKZj8vxcKhjZQMz4Cl9HgZ6KllyX84rNYZ
+/No6Ob3H5yUCJYVxMOKDGgZWl3aWi2wmYyENPckDA3lBOi0dKumjJCvMGIGEJLfO
+/sNsFKdA1bf5xSq021c3AOFUuCBbnq0aO2jlrVITEFgKUnsV0IqJEttFyI8eDwb2
+jwnRmKmGzjpNley4FLYM9f9J5r6JKo3PZ3r0YbYjHgJ/7+IFRD4tdSt9epKRaX/1
+QFZnkjYnvflc7oq69Tw=
+=r8nK
-----END PGP SIGNATURE-----
diff --git a/2015/2015-04-16-ffmpeg-default/2015-04-16-ffmpeg-default.en.txt b/2015/2015-04-16-ffmpeg-default/2015-04-16-ffmpeg-default.en.txt
new file mode 100644
index 0000000..82c01f1
--- /dev/null
+++ b/2015/2015-04-16-ffmpeg-default/2015-04-16-ffmpeg-default.en.txt
@@ -0,0 +1,25 @@
+Title: FFmpeg default
+Author: Ben de Groot <yngwin@gentoo.org>
+Content-Type: text/plain
+Posted: 2015-04-16
+Revision: 1
+News-Item-Format: 1.0
+Display-If-Installed: media-video/ffmpeg
+Display-If-Installed: media-video/libav
+
+Since the choice between ffmpeg and libav has been made more
+explicit, there has been a lot of discussion about what the
+default implementation should be. It can be concluded that
+media-video/ffmpeg has wider support, and would be somewhat
+more convenient for most end-users.
+
+For this reason the default implementation has been switched
+back from media-video/libav to media-video/ffmpeg by removing
+the libav useflag from the base profile.
+
+If the libav useflag is already globally enabled or disabled
+in /etc/portage/make.conf, then no further action is required.
+
+Users who implicitly relied on libav being enabled in their
+profile, and who wish to continue using libav, should enable
+USE=libav in their /etc/portage/make.conf file.
diff --git a/2015/2015-04-16-ffmpeg-default/2015-04-16-ffmpeg-default.en.txt.asc b/2015/2015-04-16-ffmpeg-default/2015-04-16-ffmpeg-default.en.txt.asc
new file mode 100644
index 0000000..1944c0f
--- /dev/null
+++ b/2015/2015-04-16-ffmpeg-default/2015-04-16-ffmpeg-default.en.txt.asc
@@ -0,0 +1,19 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0
+
+iQJ8BAABCgBmBQJVL6BuXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
+ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQ5MTlDREQ0NUU5Mjc4RkU2RjJDNTAyNzU0
+RkRGOUNGRDJGQUM1MTRFAAoJEE/fnP0vrFFOHVsQAL8S2H3MxtXxvAucRydeNa1u
+UfXoyVC/0QzwWAGCmrBCOpf7XSdDZth8HSBmlnE9ttEqc5Csbn7hOiENOuUfhzsH
+6QtPtOSvGtAk3Kw3M+e0Q6pezPE8AzpUIs3RZVu4+vDz553MqEyzAS8bC8Eldzku
+c4CQ9/mztAEyvmjfZRh7ZGlW7D+9G+L9SOK8EH2SBjMi5RhOrly0eZa5cF9nXAyz
+UC1D0wRahyCBOdipRSbJnhe/QuRYrozVqjqLam1w2m31E4tswRE6hos77QB4yhr9
+NAVO36/KUuU7PeI7bIMh7ORcC5WzrlCwoD4T1eg13BSTtgFdK3U23w3y/BJLkdrx
+ha36fYhnbo2x+am/VZ4TVrBrf5gTXUVZjV3pKPAt2Ce6h/FA+yy4POK+m/+LtAhG
+aWJXiHN+ZkaP2thM9bSBE4dAgwFdBfg7z9UPCG7Zx6QC+3q5nLh1Kq9409kczVly
+8tVRjO/Lp19xMGBc93EsLDv7ald91oeYJ/mW04BDrq5XpTEDHmRuz8BHNR7c7zMP
+tY0CmogMc/NS1NIncRNEMCz6QcN1D4cHpudnApbmnoyQJrd7N1QIEGjYahKO4yZv
+Ju/Zzjtm0XLIZwApeY+qEGEOpker1QC25iSsLa+m0jFOedSShGy92P7aQWM5rg84
+CTxqR92X3fUhWU5fTPTu
+=l+fp
+-----END PGP SIGNATURE-----